<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
       http://www.springframework.org/schema/beans/spring-beans-4.2.xsd
	   http://www.springframework.org/schema/context
		   http://www.springframework.org/schema/context/spring-context-4.2.xsd">


    <import resource="classpath*:/eu/dnetlib/openaire/user/springContext-userManagementService.xml"/>
    <context:component-scan base-package="eu.dnetlib.openaire.usermanagement.*"/>
    <context:annotation-config />

    <!--<bean id="webexpressionHandler"-->
          <!--class="org.springframework.security.web.access.expression.DefaultWebSecurityExpressionHandler"/>-->

    <bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
        <property name="order" value="2" />
        <property name="ignoreUnresolvablePlaceholders" value="true" />
        <property name="properties">
            <bean class="eu.dnetlib.conf.WebappContextProperyFactory">
                <property name="propertyFetcher">
                    <bean class="eu.dnetlib.conf.PropertyFetcher" />
                </property>
            </bean>
        </property>
        <property name="locations">
            <list>
                <value>classpath*:/eu/**/applicationContext*.properties</value>
                <value>classpath*:/eu/dnetlib/applicationContext-defaultProperties.properties</value>
                <value>classpath*:/eu/**/springContext-userManagementService.properties</value>
                <value>classpath*:/eu/**/springContext-dnetOpenaireUsersService.properties</value>
                <value>classpath*:/uoa-override.properties</value>
                <value>classpath*:/dnet-override.properties</value>
            </list>
        </property>
    </bean>
</beans>
